"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const generators_1 = require("@webpack-cli/generators");
const yeoman_environment_1 = __importDefault(require("yeoman-environment"));
const logger_1 = __importDefault(require("webpack-cli/lib/utils/logger"));
/**
 * Runs a yeoman generator to create a new webpack loader project
 * @returns {void}
 */
function loaderCreator() {
    const env = yeoman_environment_1.default.createEnv();
    const generatorName = 'webpack-loader-generator';
    env.registerStub(generators_1.loaderGenerator, generatorName);
    env.run(generatorName, () => {
        logger_1.default.success('Loader template has been successfully scaffolded.');
    });
}
exports.default = loaderCreator;
